package com.chelvc.framework.group;

import lombok.Getter;
import lombok.NonNull;

/**
 * @author Woody
 * @date 2024/9/11
 */
@Getter
public class DefaultGroupHandler implements GroupHandler {
    private final int count;
    private final String scene;
    private final boolean lazy;
    private final boolean async;
    private final boolean cacheable;
    private final GroupSelector selector;

    public DefaultGroupHandler(@NonNull String scene, int count, boolean lazy, boolean async, boolean cacheable,
                               @NonNull GroupSelector selector) {
        this.scene = scene;
        this.count = count;
        this.lazy = lazy;
        this.async = async;
        this.cacheable = cacheable;
        this.selector = selector;
    }

    @Override
    public boolean isExpired() {
        return false;
    }
}
